
Foreman - Feature #5608

Existing DHCP lease cannot be overwritten

05/07/2014 07:42 AM - Lukas Zapletal

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We do have some override dialog for some orchestrations, but this is not working with DHCP. If there is an existing DHCP

reservation on the host, I don't see dialog when creating a host with the same MAC. I don't know if this is a regression, but Staypuft

guys hit this issue, therefore I am creating this ticket for discussion.

Related issues:

Is duplicate of Foreman - Bug #5637: DHCP conflicts triggered for non-conflic... Closed 05/08/2014

History

#1 - 05/26/2014 06:37 PM - David Schmitt

I've just hit that today with 1.4.3: I was deleting VMs and re-configuring them for a demo, and somehow the original DHCP reservation was not

deleted correctly and trying to re-create the VMs failed with "Failed to add DHCP reservation for AAAA (IP / MAC): Entry already exists.

#2 - 06/04/2014 06:57 PM - Yves Jans

Having a similar issue I think.

We use the foreman discovery plugin. When a new bare metal system boots for the first time it gets an IP from dhcp from a "discovery" pool, so the

MAC ends up in the dhcp leases file.

When we want to provision the system with a fixed dhcp IP it fails because of a dhcp reservation conflict.

When the discovery dhcp entry gets removed from the leases file the provisioning succeeds.

#3 - 06/05/2014 07:05 AM - Dominic Cleal

- Is duplicate of Bug #5637: DHCP conflicts triggered for non-conflicting leases added

#4 - 06/05/2014 07:05 AM - Dominic Cleal

- Status changed from New to Duplicate

Yves - sounds like the same bug that Lukas was talking about.  We've fixed it in #5637 and related bugs (on the proxy side) for 1.5.1.
